#!/bin/sh
# Copyright © 2023. Duet, Inc. All rights reserved.

set -e
set -o pipefail

get_script_dir() {
    # Use "$1" to get the directory of the current script
    local script_path="$1"
    # Change to the directory of the script
    local script_dir="$(cd "$(dirname "$script_path")" && pwd)"
    echo "$script_dir"
}


SCRIPT_DIR=$(get_script_dir "$0")

# Copy the daemon's launchd.plist into /Library/LaunchAgents
for plist in com.kairos.DuetHelper.plist
do
  trg=/Library/LaunchAgents/com.kairos.DuetHelper.plist
  cp "${SCRIPT_DIR}/${plist}" "${trg}"
  chown root:wheel "${trg}"
  chmod 644 "${trg}"
done

