#!/bin/sh
# Copyright © 2023. Duet, Inc. All rights reserved.

set -e
set -o pipefail

get_script_dir() {
    # Use "$1" to get the directory of the current script
    local script_path="$1"
    # Change to the directory of the script
    local script_dir="$(cd "$(dirname "$script_path")" && pwd)"
    echo "$script_dir"
}

if [ -z "$1" ]; then
	WORK_DIR=$(get_script_dir "$0")
else
    WORK_DIR="$1"
fi

# Copy the daemon's launchd.plist into /Library/LaunchDaemons
for plist in com.kairos.DuetDaemon.plist
do
  trg=/Library/LaunchDaemons/com.kairos.DuetDaemon.plist

  cp "${WORK_DIR}/${plist}" "${trg}"
  chown root:wheel "${trg}"
  chmod 644 "${trg}"
done

# Make sure the core service has access to this key in the keychain
if [ -z "$1" ]; then
	security add-generic-password -U -s com.kairos.DuetDaemon -a duetServicesAccount -T /Applications/duet.app/Contents/SharedSupport/DuetDaemon /Library/Keychains/System.keychain
fi
